Share via


Conversation Authoring Project - Swap Deployments

Swaps two existing deployments with each other.

POST {Endpoint}/language/authoring/analyze-conversations/projects/{projectName}/deployments/:swap?api-version=2025-11-01

URI Parameters

Name In Required Type Description
Endpoint
path True

string (uri)

Supported Cognitive Services endpoint e.g., https://<resource-name>.api.cognitiveservices.azure.com.

projectName
path True

string

maxLength: 100

The name of the project to use.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
firstDeploymentName True

string

Represents the first deployment name.

secondDeploymentName True

string

Represents the second deployment name.

Responses

Name Type Description
202 Accepted

The request has been accepted for processing, but processing has not yet completed.

Headers

Operation-Location: string

Other Status Codes

Azure.Core.Foundations.ErrorResponse

An unexpected error response.

Headers

x-ms-error-code: string

Security

Ocp-Apim-Subscription-Key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: accessCode
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize
Token URL: https://login.microsoftonline.com/common/oauth2/token

Scopes

Name Description
https://cognitiveservices.azure.com/.default

Examples

Successful Swap Deployments

Sample request

POST {Endpoint}/language/authoring/analyze-conversations/projects/EmailApp/deployments/:swap?api-version=2025-11-01

{
  "firstDeploymentName": "production",
  "secondDeploymentName": "staging"
}

Sample response

operation-location: {Endpoint}/language/authoring/analyze-conversations/projects/EmailApp/deployments/swap/jobs/c36a8775-35b9-4cb5-a8db-665e7d91aafe_637858368000000000?api-version=2025-11-01

Definitions

Name Description
AnalyzeConversationAuthoringSwapDeploymentsOptions

Represents the options for swapping two deployments together.

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

AnalyzeConversationAuthoringSwapDeploymentsOptions

Represents the options for swapping two deployments together.

Name Type Description
firstDeploymentName

string

Represents the first deployment name.

secondDeploymentName

string

Represents the second deployment name.

Azure.Core.Foundations.Error

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror

Azure.Core.Foundations.InnerError

An object containing more specific information than the current object about the error.

message

string

A human-readable representation of the error.

target

string

The target of the error.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Name Type Description
error

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name Type Description
code

string

One of a server-defined set of error codes.

innererror

Azure.Core.Foundations.InnerError

Inner error.